<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
@autor: david.cifuentes
@description - Página inicial de la solicitud de documentos a un trámite (en asignación)-->

<!-- OJO:
hubo que dejar quemado el update de la forma que muestra el detalle del trámite (detalleTramiteForm)

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="content">

        <p:messages id="msgsTramiteASolicitarDocumentos" showDetail="false"
                    globalOnly="false" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:spacer height="30" width="0" />

        <p:fieldset toggleable="true" toggleSpeed="500">

            <legend>
                <h:outputLabel value="Trámite a solicitar documentos" styleClass="legendTitle" />
            </legend>


            <tramite:tramiteResumen id="tabsgridI"
                                    tramiteParam="#{tramiteASolicitarDocumentos.tramiteSeleccionado}" muestraTipoSolicitudParam="true"
                                    muestraClasificacionParam="true" muestraFechaRadicacionParam="true" muestraFechaSolicitudParam="true" 
                                    muestraDerechoPeticionParam="true"/>

            <h:form id="FormTramiteASolicitarDocumentos"
                    onkeypress="return event.keyCode != 13;">

                <h:panelGrid columns="2" width="20%">
                    <h:outputLabel value="Documentos aportados: "
                                   for="documentosAsociados" styleClass="outputLabelStyle" />
                    <p:commandLink oncomplete="solicitarDocumentacionWV.show()"
                                   update=":solicitarDocumentacionForm">
                        <f:setPropertyActionListener value="false"
                                                     target="#{tramiteASolicitarDocumentos.verSolicitudDocsBool}" />
                        <h:outputText id="documentosAsociados" style="width:150px"
                                      styleClass="commandLinkStyle"
                                      value="#{tramiteASolicitarDocumentos.countDocumentosTramiteSeleccionado}" />
                    </p:commandLink>
                </h:panelGrid>

                <p:spacer height="10"/>

                <p:outputPanel layout="block" style="text-align: left">

                    <p:commandButton id="tramiteASolicitarDocumentosBtn"
                                     disabled="#{tramiteASolicitarDocumentos.radicadoBool}"
                                     process="@this" ajax="true"
                                     value="Solicitar documentos" title="Documentación"
                                     action="#{tramiteASolicitarDocumentos.cargarDocumentacion}"
                                     icon="ui-icon-document" label="Documentación"
                                     update=":msgGrowlGeneral, :solicitarDocumentacionForm"
                                     oncomplete="solicitarDocumentacionWV.show()">
                        <f:setPropertyActionListener value="true"
                                                     target="#{tramiteASolicitarDocumentos.verSolicitudDocsBool}" />
                    </p:commandButton>
                    <p:spacer width="10"/>

                    <p:commandButton id="registrarSolicitudDeDocumentosBtn"
                                     disabled="#{!tramiteASolicitarDocumentos.radicadoBool}"
                                     value="Registrar solicitud de documentos" icon="ui-icon-pin-s"
                                     title="Registrar Solicitud de Documentos"
                                     label="Registrar Solicitud de Documentos"
                                     update=":registroDeSolicitudDeDocumentosForm"
                                     oncomplete="registrarSolicitudDeDocumentosWV.show()" />
                </p:outputPanel>


                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar"
                                     icon="ui-icon-circle-close" immediate="true" process="@this"
                                     action="#{tramiteASolicitarDocumentos.cerrarPaginaPrincipal}"
                                     ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>

            </h:form>
        </p:fieldset>

        <p:dialog header="Documentos aportados" dynamic="true"
                  widgetVar="solicitarDocumentacionWV"
                  appendToBody="true" width="1050" height="500">
            <p:ajax event="close" listener="#{tramiteASolicitarDocumentos.cerrar}"/>
            <ui:include src="solicitarDocumentacion.xhtml"
                        id="modalTramiteASolicitarDocumentos">
                <ui:param name="managedBeanParam"
                          value="#{tramiteASolicitarDocumentos}" />
                <ui:param name="selectedTramiteParam"
                          value="#{tramiteASolicitarDocumentos.tramiteSeleccionado}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Registro de solicitud de documentos" dynamic="true"
                  widgetVar="registrarSolicitudDeDocumentosWV"
                  appendToBody="true" width="800" height="400">
            <p:ajax event="close" listener="#{tramiteASolicitarDocumentos.cerrar}"
                    update=":FormTramiteASolicitarDocumentos"/>
            <ui:include src="registroDeSolicitudDeDocumentos.xhtml"
                        id="registroDeSolicitudDeDocumentosModal">
                <ui:param name="managedBeanParam"
                          value="#{tramiteASolicitarDocumentos}" />
                <ui:param name="selectedTramiteParam"
                          value="#{tramiteASolicitarDocumentos.tramiteSeleccionado}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true" resizable="true" position="center"
                  height="480" width="960">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{tramiteASolicitarDocumentos.tramiteSeleccionado.solicitud}" />
                <ui:param name="tramiteResumenID"
                          value="#{cc.attrs.tramiteResumenID}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" mostrarFichaPredial="true" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Oficio de solicitud de documentos" dynamic="true"
                  widgetVar="asignacionOficioWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="850" height="450">
            <ui:include src="asignacionOficio.xhtml" id="asignacionOficioModal">
                <ui:param name="managedBeanParam"
                          value="#{tramiteASolicitarDocumentos}" />
                <ui:param name="selectedTramiteParam"
                          value="#{tramiteASolicitarDocumentos.tramiteSeleccionado}" />
                <ui:param name="reporteDTOParam"
                          value="#{tramiteASolicitarDocumentos.reporteSolicitudDocumentos}" />
            </ui:include>
        </p:dialog>

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{tramiteASolicitarDocumentos.reporteSolicitudDocumentos.urlWebReporte}"
            fileContent="#{tramiteASolicitarDocumentos.reporteSolicitudDocumentos.streamedContentReporte}"
            documentoGenerado="#{tramiteASolicitarDocumentos.reporteSolicitudDocumentos ne null}"
            radicarButtonAction="#{tramiteASolicitarDocumentos.radicar}"
            radicarButtonEnabled="#{!tramiteASolicitarDocumentos.banderaDocumentoRadicado}"
            cancelButtonEnabled="true"/>

        <p:dialog header="Documentos aportados" dynamic="true"
                  widgetVar="tablaDocumentosAsociadosWV" modal="true"
                  appendToBody="true" resizable="true" position="center"
                  width="800" height="550">
            <p:ajax event="close" listener="#{tramiteASolicitarDocumentos.cerrar}"/>
            <h:form>
                <ui:include src="tablaDocumentosAsociados.xhtml">
                    <ui:param name="selectedTramiteParam"
                              value="#{tramiteASolicitarDocumentos.tramiteSeleccionado}" />
                    <ui:param name="currentManagedBeanParam"
                              value="#{vistaDetallesTramite}" />
                </ui:include>
            </h:form>
        </p:dialog>

        <p:confirmDialog appendToBody="true" 
                         message="Una vez radicada la solicitud de documentos, se notificará al solicitante y no podrá adicionar más documentos a la solicitud. ¿Está seguro de que desea hacerlo?"
                         width="400"
                         header="Confirmación" severity="alert"
                         widgetVar="confirmacionRadicarSolicitudDocsWV">
            <h:form>
                <p:outputPanel layout="block" style="text-align:center">
                    <p:commandButton value="Sí"
                                     update=":asignacionOficioForm:oficioSolicitudDeDocumentos, :FormTramiteASolicitarDocumentos"
                                     action="#{tramiteASolicitarDocumentos.radicar}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); confirmacionRadicarSolicitudDocsWV.hide();"
                                     icon="ui-icon-check" immediate="true" />
                    <p:spacer width="10" />
                    <p:commandButton value="No" icon="ui-icon-close"
                                     onclick="confirmacionRadicarSolicitudDocsWV.hide();" 
                                     type="button" />
                </p:outputPanel>
            </h:form>
        </p:confirmDialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <ui:include src="../../util/visorGeografico.xhtml" />
    </ui:define>
</ui:composition>